Skip to main content
POST
/
accounts
/
{account_id}
/
repo_syncs
/
{id}
/
deactivate
cURL
curl "https://api.phrase.com/v2/accounts/ab12cd34/repo_syncs/45ef6789/deactivate"\
  -u USERNAME_OR_ACCESS_TOKEN \
  -X POST \
  -H 'Content-Type: application/json'
phrase repo_syncs deactivate \
--id <repo_sync_id> \
--access_token <token>
import requests

url = "https://api.phrase.com/v2/accounts/{account_id}/repo_syncs/{id}/deactivate"

headers = {"Authorization": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: '<api-key>'}};

fetch('https://api.phrase.com/v2/accounts/{account_id}/repo_syncs/{id}/deactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "abcd1234cdef1234abcd1234cdef1234",
  "project": {
    "id": "abcd1234cdef1234abcd1234cdef1234",
    "name": "My Android Project",
    "main_format": "xml",
    "created_at": "2015-01-28T09:52:53Z",
    "updated_at": "2015-01-28T09:52:53Z"
  },
  "provider": "github",
  "enabled": true,
  "auto_import": true,
  "repo_name": "organization/repo",
  "created_at": "2015-01-28T09:52:53Z",
  "last_import_at": "2015-01-28T09:52:53Z",
  "last_export_at": "2015-01-28T09:52:53Z"
}
{
"message": "Validation Failed",
"errors": [
{
"resource": "Resource",
"field": "name",
"message": "can't be blank"
}
]
}

Authorizations

Authorization
string
header
required

Enter your token in the format token TOKEN

Headers

X-PhraseApp-OTP
string

Two-Factor-Authentication token (optional)

Path Parameters

account_id
string
required

Account ID

id
string
required

ID

Response

OK

id
string
name
string | null

Optional custom display name for this repo sync. When null or blank, the sync is displayed using the associated project name.

Maximum string length: 100
project
project_short · object
Example:
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "My Android Project",
"main_format": "xml",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
provider
string
enabled
boolean
auto_import
boolean
repo_name
string
pr_branch
string | null

Branch used as the source of exports/PRs. May be null when the sync is configured to push directly to base_branch.

created_at
string<date-time>
last_import_at
string<date-time> | null
last_export_at
string<date-time> | null